%define section free

Summary:        JDBC DataSources/Resource Pools
Name:           c3p0
Version:        0.8.4.1
Release:        2jpp
Epoch:          0
License:        LGPL
URL:            http://sourceforge.net/projects/c3p0
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        c3p0-0.8.4.1.src.tgz
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.5
BuildRequires:  junit
Requires:  /usr/sbin/update-alternatives
Provides:  hibernate_jdbc_cache
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
c3p0 is an easy-to-use library for augmenting 
traditional (DriverManager-based) JDBC drivers 
with JNDI-bindable DataSources, including 
DataSources that implement Connection and Statement 
Pooling, as described by the jdbc3 spec and jdbc2 
standard extension.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}.src
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath \
junit)
ant -Dbuild.sysclasspath=first

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/c3p0-0.8.4.1.bin/lib//%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# hibernate_jdbc_cache ghost symlink
ln -s %{_sysconfdir}/alternatives \
  $RPM_BUILD_ROOT%{_javadir}/hibernate_jdbc_cache.jar


%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{_javadir}/hibernate_jdbc_cache.jar \
  hibernate_jdbc_cache %{_javadir}/%{name}.jar 20

%preun
{
  [ $1 -eq 0 ] || exit 0
  update-alternatives --remove hibernate_jdbc_cache %{_javadir}/%{name}.jar
} >/dev/null 2>&1 || :


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc src/dist-static/LICENSE
%doc src/doc/index.html
%{_javadir}/*
%ghost %{_javadir}/hibernate_jdbc_cache.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/*

%changelog
* Fri Jul 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.4.1-2jpp
- Relax some versioned dependencies
- Provide hibernate_jdbc_cache and do update-alternatives, prio 10

* Sat Feb 28 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.8.4.1-1jpp
- First JPackage release.
